Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.mock
Class MockResult

    java.lang.Object
      com.opensymphony.xwork2.mock.MockResult

All Implemented Interfaces:
  Result, Serializable

    public class MockResult

extends Object
implements Result

Mock for a `Result`.

Author:
  Mike, Rainer Hermanns
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_PARAM`

Constructor Summary
`MockResult()`

Method Summary
`boolean` | `equals(Object o)`
`void` | `execute(ActionInvocation invocation)` Represents a generic interface for all action execution results.
`int` | `hashCode()`
`void` | `setFoo(String foo)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PARAM

    public static final String DEFAULT_PARAM

See Also:
  Constant Field Values

Constructor Detail

### MockResult

    public MockResult()

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### execute

    public void execute(ActionInvocation invocation)
                 throws Exception

  Description copied from interface: `Result`
  Represents a generic interface for all action execution results. Whether that be displaying a webpage, generating an email, sending a JMS message, etc.

  Specified by:
    `execute` in interface `Result`
  Parameters:
    `invocation` - the invocation context.
  Throws:
    `Exception` - can be thrown.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setFoo

    public void setFoo(String foo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.